Red Hat Enterprise Linux 3: System Administration Guide
Prev | Chapter 9. Kickstart Installations | Next

# 9.5. Package Selection

Use the `%packages` command to begin a kickstart file section that lists the packages you would like to install (this is for installations only, as package selection during upgrades is not supported).

Packages can be specified by group or by individual package name. The installation program defines several groups that contain related packages. Refer to the `RedHat/base/comps.xml` file on the first Red Hat Enterprise Linux CD-ROM for a list of groups. Each group has an id, user visibility value, name, description, and package list. In the package list, the packages marked as mandatory are always installed if the group is selected, the packages marked default are selected by default if the group is selected, and the packages marked optional must be specifically selected even if the group is selected to be installed.

In most cases, it is only necessary to list the desired groups and not individual packages. Note that the `Core` and `Base` groups are always selected by default, so it is not necessary to specify them in the `%packages` section.

Here is an example `%packages` selection:

    %packages
    @ X Window System
    @ GNOME Desktop Environment
    @ Graphical Internet
    @ Sound and Video
    dhcp

As you can see, groups are specified, one to a line, starting with an `@` symbol, a space, and then the full group name as given in the `comps.xml` file. Groups can also be specified using the id for the group, such as `gnome-desktop`. Specify individual packages with no additional characters (the `dhcp` line in the example above is an individual package).

You can also specify which packages not to install from the default package list:

    -autofs

The following options are available for the `%packages` option:

`--resolvedeps`

  Install the listed packages and automatically resolve package dependencies. If this option is not specified and there are package dependencies, the automated installation will pause and prompt the user. For example:

      %packages --resolvedeps

`--ignoredeps`

  Ignore the unresolved dependencies and install the listed packages without the dependencies. For example:

      %packages --ignoredeps

`--ignoremissing`

  Ignore the missing packages and groups instead of halting the installation to ask if the installation should be aborted or continued. For example:

      %packages --ignoremissing

Prev | Home | Next
Kickstart Options | Up | Pre-installation Script